Package alt.javax.mail.internet

# Interface MimeMessage

All Superinterfaces:
  `Message`

All Known Implementing Classes:
  `MimeMessageImpl`, `MockMimeMessage`

public interface MimeMessage extends Message

## Method Summary

Modifier and Type
Method
Description
`void`
`addHeaderLine(String s)`
`void`
`addRecipient(javax.mail.Message.RecipientType type, Address address)`
`void`
`addRecipients(javax.mail.Message.RecipientType type, String s)`
`Enumeration`
`getAllHeaderLines()`
`Address[]`
`getAllRecipients()`
`String`
`getContentID()`
`String[]`
`getContentLanguage()`
`String`
`getContentMD5()`
`String`
`getEncoding()`
`Folder`
`getFolder()`
`String`
`getHeader(String s, String s1)`
`Enumeration`
`getMatchingHeaderLines(String[] strings)`
`String`
`getMessageID()`
`int`
`getMessageNumber()`
`Enumeration`
`getNonMatchingHeaderLines(String[] strings)`
`InputStream`
`getRawInputStream()`
`Address[]`
`getReplyTo()`
`boolean`
`isExpunged()`
`boolean`
`isSet(Flags.Flag flag)`
`boolean`
`match(SearchTerm term)`
`void`
`setContentID(String s)`
`void`
`setContentLanguage(String[] strings)`
`void`
`setContentMD5(String s)`
`void`
`setDescription(String s, String s1)`
`void`
`setFlag(Flags.Flag flag, boolean b)`
`void`
`setRecipient(javax.mail.Message.RecipientType type, Address address)`
`void`
`setRecipients(javax.mail.Message.RecipientType type, String s)`
`void`
`setReplyTo(Address[] addresses)`
`void`
`setSubject(String s, String s1)`
`void`
`setText(String s, String s1)`
`void`
`writeTo(OutputStream stream, String[] strings)`

### Methods inherited from interface alt.javax.mail.Message

`addFrom, addHeader, addRecipients, getAllHeaders, getContent, getContentType, getDataHandler, getDescription, getDisposition, getFileName, getFlags, getFrom, getHeader, getInputStream, getLineCount, getMatchingHeaders, getNonMatchingHeaders, getRealMessage, getReceivedDate, getRecipients, getSentDate, getSize, getSubject, isMimeType, removeHeader, reply, saveChanges, setContent, setContent, setDataHandler, setDescription, setDisposition, setFileName, setFlags, setFrom, setFrom, setHeader, setRecipients, setSentDate, setSubject, setText, writeTo`

## Method Details

### setRecipient

void setRecipient(javax.mail.Message.RecipientType type, Address address) throws MessagingException

Throws:
  `MessagingException`

### addRecipient

void addRecipient(javax.mail.Message.RecipientType type, Address address) throws MessagingException

Throws:
  `MessagingException`

### setFlag

void setFlag(Flags.Flag flag, boolean b) throws MessagingException

Throws:
  `MessagingException`

### getMessageNumber

int getMessageNumber()

### getFolder

Folder getFolder()

### isExpunged

boolean isExpunged()

### match

boolean match(SearchTerm term) throws MessagingException

Throws:
  `MessagingException`

### getAllRecipients

Address[] getAllRecipients() throws MessagingException

Throws:
  `MessagingException`

### setRecipients

void setRecipients(javax.mail.Message.RecipientType type, String s) throws MessagingException

Throws:
  `MessagingException`

### addRecipients

void addRecipients(javax.mail.Message.RecipientType type, String s) throws MessagingException

Throws:
  `MessagingException`

### getReplyTo

Address[] getReplyTo() throws MessagingException

Throws:
  `MessagingException`

### setReplyTo

void setReplyTo(Address[] addresses) throws MessagingException

Throws:
  `MessagingException`

### setSubject

void setSubject(String s, String s1) throws MessagingException

Throws:
  `MessagingException`

### getEncoding

String getEncoding() throws MessagingException

Throws:
  `MessagingException`

### getContentID

String getContentID() throws MessagingException

Throws:
  `MessagingException`

### setContentID

void setContentID(String s) throws MessagingException

Throws:
  `MessagingException`

### getContentMD5

String getContentMD5() throws MessagingException

Throws:
  `MessagingException`

### setContentMD5

void setContentMD5(String s) throws MessagingException

Throws:
  `MessagingException`

### setDescription

void setDescription(String s, String s1) throws MessagingException

Throws:
  `MessagingException`

### getContentLanguage

String[] getContentLanguage() throws MessagingException

Throws:
  `MessagingException`

### setContentLanguage

void setContentLanguage(String[] strings) throws MessagingException

Throws:
  `MessagingException`

### getMessageID

String getMessageID() throws MessagingException

Throws:
  `MessagingException`

### getRawInputStream

InputStream getRawInputStream() throws MessagingException

Throws:
  `MessagingException`

### setText

void setText(String s, String s1) throws MessagingException

Throws:
  `MessagingException`

### writeTo

void writeTo(OutputStream stream, String[] strings) throws IOException, MessagingException

Throws:
  `IOException`
  `MessagingException`

### getHeader

String getHeader(String s, String s1) throws MessagingException

Throws:
  `MessagingException`

### addHeaderLine

void addHeaderLine(String s) throws MessagingException

Throws:
  `MessagingException`

### getAllHeaderLines

Enumeration getAllHeaderLines() throws MessagingException

Throws:
  `MessagingException`

### getMatchingHeaderLines

Enumeration getMatchingHeaderLines(String[] strings) throws MessagingException

Throws:
  `MessagingException`

### getNonMatchingHeaderLines

Enumeration getNonMatchingHeaderLines(String[] strings) throws MessagingException

Throws:
  `MessagingException`

### isSet

boolean isSet(Flags.Flag flag) throws MessagingException

Throws:
  `MessagingException`